Get dashboard revision
curl --request GET \
--url https://api.akua.dev/v1/dashboards/{id}/revisions/{revision_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/dashboards/{id}/revisions/{revision_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/dashboards/{id}/revisions/{revision_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"dashboard_id": "<string>",
"workspace_id": "<string>",
"parent_revision_id": "<string>",
"restored_from_revision_id": "<string>",
"author_id": "<string>",
"summary": "<string>",
"name": "<string>",
"description": "<string>",
"filter_definitions": [
{
"kind": "time",
"key": "time",
"label": "<string>"
}
],
"default_filter_values": {},
"widgets": [
{
"widget_id": "<string>",
"position": 1,
"title": "<string>",
"col_span": 1,
"drill_down": "<string>",
"visualization_options": {},
"freshness_policy": {
"mode": "provider_default"
},
"widget_type": "snippet",
"snippet_id": "<string>",
"snippet_etag": "<string>",
"input_bindings": {},
"refresh_policy": {
"mode": "on_load"
}
}
],
"structural_diff": {
"version": 1,
"dashboard_fields": [],
"widgets": {
"added": {
"count": 1,
"widget_ids": [
"<string>"
]
},
"removed": {
"count": 1,
"widget_ids": [
"<string>"
]
},
"changed": {
"count": 1,
"widgets": [
{
"widget_id": "<string>",
"fields": []
}
]
}
}
},
"snippet_etag_drift": [
{
"widget_id": "<string>",
"snippet_id": "<string>",
"snapshot_etag": "<string>",
"current_etag": "<string>"
}
],
"created_at": 1
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Dashboards
Get dashboard revision
Returns one immutable dashboard revision and its snippet version drift.
GET
/
dashboards
/
{id}
/
revisions
/
{revision_id}
Get dashboard revision
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Path Parameters
Required string length:
1 - 55Required string length:
1 - 55Response
Dashboard revision details
Required string length:
1 - 55Required string length:
1 - 55Required string length:
1 - 53Required string length:
1 - 55Required string length:
1 - 55Available options:
manual, automatic, restore, reset, backfill Available options:
workspace_overview, custom Maximum array length:
24- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp (seconds)
Required range:
x >= 0⌘I